---
title: Getting started
---

import {HeroLayout} from '@primer/gatsby-theme-doctocat'
export default HeroLayout

## Primer React

Primer React is a React implementation of GitHub's [Primer Design System](https://primer.style/) 🎉

## Principles

- Everything is a component.
- Aim for total style encapsulation; don't rely on inheritance to provide default styles.
- Build small building blocks with minimal props to keep complexity low.
- Keep system constrained by only including props needed per component.
- Favor wrapping or extending components for more complex operations.
- Maintain design system consistency with utilities as props (for spacing, color, font-size, line-height, widths, and radii).

## Getting started

Check out [our getting started guide](/getting-started) for everything you need to know about installing and using Primer React.

## Local development

To run `@primer/react` locally when adding or updating components:

1. Clone this repo: `git clone https://github.com/primer/react`
2. Install dependencies: `npm install`
3. Run the dev app: `npm start`

> 👉 See [the contributing docs](https://github.com/primer/react/blob/main/contributor-docs/CONTRIBUTING.md) for more info on code style, testing, and coverage.
